include ./locales/default_text

-
  var order = {
    "subject": "新光三越美食地圖外帶訂單已取消 [{{ uniNum }}]",
    "title": "您的訂單已取消",
    "content": "您的訂單已取消成功。餐點明細資訊可於美食地圖<a href=\"{{- link }}\">訂餐紀錄檢視</a>，若有疑問，請點擊訂餐紀錄頁面上的「聯絡客服」。感謝您使用新光三越美食地圖，希望能再次為您服務。",
    "desc": "<ul><li>此訂單款項新光三越美食地圖將於7~10個工作天內進行退款申請作業，退貨款項將退至您原付款之信用卡帳戶。(實際入帳日期將視您的發卡銀行或信用卡公司作業時間有所不同。)</li><li>訂單取消完成後，若您該筆訂單選擇開立統編之電子發票證明聯，折讓單請至<a href=\"https://vipcard.skm.com.tw/\">新光三越貴賓卡會員中心</a>登入後，於交易記錄-消費記錄查詢，自行列印即可。</li><ul>",
    "reservationTime": "{YYYY/MM/DD HH:mm:ss}",
    "partnerInfo": {
      "restaurant": {
        "companyName": "{companyName}"
      }
    },
    "payments": [{ "amount": "{amount}", "delivery": "{delivery}" }]
  }

include ./locales/text

-
  text.title = order.title
  text.content = order.content
  text.greeting = defaultText.greeting
  text.orderTitle = defaultText.orderTitle
  text.company = defaultText.company
  text.companyName = defaultText.companyName
  text.date = defaultText.date
  text.code = defaultText.code
  text.price = defaultText.price
  text.viewOrder = defaultText.viewOrder
  text.desc = order.desc
  text.delivery = defaultText.delivery


mjml
  include ./include/email_header.pug
  mj-body(background-color="#f3f4f5")
    mj-wrapper(padding="0 20px 0")
      include ./include/email_body_top.pug

      //- content

      mj-section(padding="0")
        mj-column
          mj-text(padding-bottom="10px") !{text.orderTitle}
      mj-section(mj-class="border radius")
        mj-column(mj-class="border-inner radius")
          mj-table(mj-class="order-table")
            tr.order-row
              td !{text.company}
              td(style="text-align: right") !{order.partnerInfo.restaurant.companyName}
            tr.order-row
              td #{text.date}
              td(style="text-align: right") !{order.reservationTime}
            tr.order-row
              td #{text.code}
              td(style="text-align: right") !{'#' + order.uniNum}
            tr.order-row
              td #{text.price}
              td(style="text-align: right") !{order.payments[0].amount}
            tr.order-row
              td #{text.delivery}
              td(style="text-align: right") !{order.payments[0].delivery}
            - if (invoice) {
              - if (invoice.invoiceNumber) {
                tr.order-row
                  td #{text.invoice}
                  td(style="text-align: right") !{invoice.invoiceNumber}
              - }
              tr.order-row
                td #{text.invoiceDonation}
                td(style="text-align: right") !{invoice.donation}
              - if (invoice.companyName) {
                tr.order-row
                  td #{text.companyName}
                  td(style="text-align: right") !{invoice.companyName}
              - }
              - if (invoice.vat) {
                tr.order-row
                  td #{text.taxNumber}
                  td(style="text-align: right") !{invoice.vat}
              - }
            - }

      //- content end

      include ./include/email_body_footer.pug
